## wpewebkit 2.50.2

=== Source/WebKit/WPEPlatform/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "WPEPlatform")

set(WPE_PLATFORM_MODULE_DIR ${LIB_INSTALL_DIR}/wpe-platform-${WPE_API_VERSION}/modules)
add_definitions(-DWPE_PLATFORM_MODULE_DIR="${WPE_PLATFORM_MODULE_DIR}")

file(MAKE_DIRECTORY ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe)

configure_file(wpe-platform.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-${WPE_API_VERSION}-uninstalled.pc @ONLY)
configure_file(wpe/WPEConfig.h.in ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEConfig.h)
configure_file(wpe/WPEVersion.h.in ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEVersion.h)

set(WPEPlatform_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBuffer.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferAndroid.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferDMABuf.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferDMABufFormats.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferSHM.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEClipboard.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEColor.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPECursorTheme.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEDRMDevice.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEDisplay.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEEGLError.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEEvent.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEExtensions.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGamepad.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGamepadManager.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEInputMethodContext.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEInputMethodContextNone.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEKeyUnicode.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEKeymap.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEKeymapXKB.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGestureController.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGestureControllerImpl.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGestureDetector.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPERectangle.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEScreen.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEScreenSyncObserver.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPESettings.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEToplevel.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEVersion.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEView.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEViewAccessible.cpp
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.cpp
)

set(WPEPlatform_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBuffer.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferAndroid.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferDMABuf.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferDMABufFormats.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEBufferSHM.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEClipboard.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEColor.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEDRMDevice.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEDefines.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEDisplay.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEEGLError.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEEvent.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGamepad.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGamepadManager.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEInputMethodContext.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEKeyUnicode.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEKeymap.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEKeymapXKB.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEKeysyms.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGestureController.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPERectangle.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEScreen.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEScreenSyncObserver.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPESettings.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEToplevel.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEView.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/WPEViewAccessible.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wpe-platform.h
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEConfig.h
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.h
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEVersion.h
)

set(WPEPlatform_ENUM_GENERATION_HEADERS ${WPEPlatform_INSTALLED_HEADERS})
list(REMOVE_ITEM WPEPlatform_ENUM_GENERATION_HEADERS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.h)
add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.h
    DEPENDS ${WPEPlatform_ENUM_GENERATION_HEADERS}
    COMMAND glib-mkenums --template ${WEBKIT_DIR}/WPEPlatform/wpe/WPEEnumTypes.h.in ${WPEPlatform_ENUM_GENERATION_HEADERS} | sed s/w_pe/wpe/ | sed s/WPE_TYPE_PE/WPE_TYPE/ | sed s/WPE_TYPEEGL/WPE_TYPE_EGL/ | sed s/wpeegl/wpe_egl/ > ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.h
    VERBATIM
)
add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.cpp
    DEPENDS ${WPEPlatform_ENUM_GENERATION_HEADERS}
    COMMAND glib-mkenums --template ${WEBKIT_DIR}/WPEPlatform/wpe/WPEEnumTypes.cpp.in ${WPEPlatform_ENUM_GENERATION_HEADERS} | sed s/w_pe/wpe/ | sed s/WPE_TYPE_PE/WPE_TYPE/ | sed s/WPE_TYPEEGL/WPE_TYPE_GL/ | sed s/wpeegl/wpe_egl/ > ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.cpp
    VERBATIM
)
add_custom_target(WPEPlatformGeneratedEnumTypesHeader
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/WPEEnumTypes.h
)

set(WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${WPEPlatform_DERIVED_SOURCES_DIR}"
    "${WPEPlatform_DERIVED_SOURCES_DIR}/wpe"
    "${WEBKIT_DIR}/WPEPlatform"
    "${WEBKIT_DIR}/WPEPlatform/wpe"
)

set(WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES
    ${GLIB_INCLUDE_DIRS}
)

set(WPEPlatform_LIBRARIES
    Epoxy::Epoxy
    WebKit::WTF
    ${GLIB_GIO_LIBRARIES}
    ${GLIB_GOBJECT_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${LIBXKBCOMMON_LIBRARIES}
)

if (USE_GBM)
    list(APPEND WPEPlatform_LIBRARIES GBM::GBM)
endif ()

if (USE_LIBDRM)
    list(APPEND WPEPlatform_LIBRARIES LibDRM::LibDRM)

    list(APPEND WPEPlatform_SOURCES
        ${WEBKIT_DIR}/WPEPlatform/wpe/WPEScreenSyncObserverDRM.cpp
    )
endif ()

if (ANDROID)
    list(APPEND WPEPlatform_LIBRARIES Android::Android)
endif ()

if (USE_ATK)
    list(APPEND WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES
        ${ATK_INCLUDE_DIRS}
    )

    list(APPEND WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES
        "${WEBKIT_DIR}/WPEPlatform/wpe/atk"
    )

    list(APPEND WPEPlatform_LIBRARIES
        ATK::Bridge
        ${ATK_LIBRARIES}
    )

    list(APPEND WPEPlatform_SOURCES
        ${WEBKIT_DIR}/WPEPlatform/wpe/atk/WPEAccessibilityAtk.cpp
        ${WEBKIT_DIR}/WPEPlatform/wpe/atk/WPEApplicationAccessibleAtk.cpp
        ${WEBKIT_DIR}/WPEPlatform/wpe/atk/WPEToplevelAccessibleAtk.cpp
        ${WEBKIT_DIR}/WPEPlatform/wpe/atk/WPEViewAccessibleAtk.cpp
    )
endif ()

if (USE_MANETTE)
    list(APPEND WPEPlatform_LIBRARIES
        Manette::Manette
    )

    list(APPEND WPEPlatform_SOURCES
        ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGamepadManagerManette.cpp
        ${WEBKIT_DIR}/WPEPlatform/wpe/WPEGamepadManette.cpp
    )
endif ()

if (NOT USE_SYSTEM_MALLOC)
   list(APPEND WPEPlatform_LIBRARIES bmalloc)
endif ()

if (ENABLE_WPE_PLATFORM_DRM)
    add_subdirectory(${WEBKIT_DIR}/WPEPlatform/wpe/drm)
    list(APPEND WPEPlatform_LIBRARIES WPEPlatformDRM)
endif ()

if (ENABLE_WPE_PLATFORM_HEADLESS)
    add_subdirectory(${WEBKIT_DIR}/WPEPlatform/wpe/headless)
    list(APPEND WPEPlatform_LIBRARIES WPEPlatformHeadless)
endif ()

if (ENABLE_WPE_PLATFORM_WAYLAND)
    add_subdirectory(${WEBKIT_DIR}/WPEPlatform/wpe/wayland)
    list(APPEND WPEPlatform_LIBRARIES WPEPlatformWayland)
endif ()

add_library(WPEPlatform OBJECT ${WPEPlatform_SOURCES})
target_include_directories(WPEPlatform PRIVATE ${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES})
target_include_directories(WPEPlatform SYSTEM PRIVATE ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES})
target_link_libraries(WPEPlatform ${WPEPlatform_LIBRARIES})
add_dependencies(WPEPlatform WPEPlatformGeneratedEnumTypesHeader)

GI_INTROSPECT(WPEPlatform ${WPE_API_VERSION} wpe/wpe-platform.h
    TARGET WebKit
    PACKAGE wpe-platform
    IDENTIFIER_PREFIX WPE
    SYMBOL_PREFIX wpe
    DEPENDENCIES Gio-2.0
    OPTIONS
        -I${WEBKIT_DIR}/WPEPlatform
        -I${WPEPlatform_DERIVED_SOURCES_DIR}
    SOURCES
        ${WPEPlatform_INSTALLED_HEADERS}
        ${WPEPlatform_SOURCES}
    NO_IMPLICIT_SOURCES
)

GI_DOCGEN(WPEPlatform docs/wpeplatform.toml.in)

if (ENABLE_WPE_PLATFORM_DRM)
    get_target_property(WPEPlatformDRM_SOURCES_FOR_INTROSPECTION WPEPlatformDRM SOURCES_FOR_INTROSPECTION)
    GI_INTROSPECT(WPEPlatformDRM ${WPE_API_VERSION} wpe/drm/wpe-drm.h
        TARGET WebKit
        PACKAGE wpe-platform-drm
        IDENTIFIER_PREFIX WPE
        SYMBOL_PREFIX wpe
        DEPENDENCIES WPEPlatform
        OPTIONS
            -I${WEBKIT_DIR}/WPEPlatform
            -I${WPEPlatform_DERIVED_SOURCES_DIR}
        SOURCES
            ${WPEPlatformDRM_SOURCES_FOR_INTROSPECTION}
        NO_IMPLICIT_SOURCES
    )

    GI_DOCGEN(WPEPlatformDRM docs/wpeplatform-drm.toml.in)
endif ()

if (ENABLE_WPE_PLATFORM_HEADLESS)
    get_target_property(WPEPlatformHeadless_SOURCES_FOR_INTROSPECTION WPEPlatformHeadless SOURCES_FOR_INTROSPECTION)
    GI_INTROSPECT(WPEPlatformHeadless ${WPE_API_VERSION} wpe/headless/wpe-headless.h
        TARGET WebKit
        PACKAGE wpe-platform-headless
        IDENTIFIER_PREFIX WPE
        SYMBOL_PREFIX wpe
        DEPENDENCIES WPEPlatform
        OPTIONS
            -I${WEBKIT_DIR}/WPEPlatform
            -I${WPEPlatform_DERIVED_SOURCES_DIR}
        SOURCES
            ${WPEPlatformHeadless_SOURCES_FOR_INTROSPECTION}
        NO_IMPLICIT_SOURCES
    )

    GI_DOCGEN(WPEPlatformHeadless docs/wpeplatform-headless.toml.in)
endif ()

if (ENABLE_WPE_PLATFORM_WAYLAND)
    get_target_property(WPEPlatformWayland_SOURCES_FOR_INTROSPECTION WPEPlatformWayland SOURCES_FOR_INTROSPECTION)
    GI_INTROSPECT(WPEPlatformWayland ${WPE_API_VERSION} wpe/wayland/wpe-wayland.h
        TARGET WebKit
        PACKAGE wpe-platform-wayland
        IDENTIFIER_PREFIX WPE
        SYMBOL_PREFIX wpe
        DEPENDENCIES WPEPlatform
        OPTIONS
            -I${WEBKIT_DIR}/WPEPlatform
            -I${WPEPlatform_DERIVED_SOURCES_DIR}
        SOURCES
            ${WPEPlatformWayland_SOURCES_FOR_INTROSPECTION}
        NO_IMPLICIT_SOURCES
    )

    GI_DOCGEN(WPEPlatformWayland docs/wpeplatform-wayland.toml.in)
endif ()

install(FILES "${CMAKE_BINARY_DIR}/wpe-platform-${WPE_API_VERSION}.pc"
        DESTINATION "${LIB_INSTALL_DIR}/pkgconfig"
        COMPONENT "Development"
)

install(FILES ${WPEPlatform_INSTALLED_HEADERS}
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/wpe-webkit-${WPE_API_VERSION}/wpe-platform/wpe"
        COMPONENT "Development"
)

=== debian/changelog ===
wpewebkit (2.50.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Stop overriding dh_builddeb, running it in parallel used to be a
      problem when we were building without -g1 and had very large debug
      packages.
  * debian/patches/fix-link-error.patch:
    - Cherry pick build fix for 2.50.2.
  * debian/patches/fix-crash.patch:
    - Cherry pick crash fix.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Nov 2025 14:59:11 +0100

## wpewebkit 2.50.3

=== Source/WebKit/WPEPlatform/wpe/wayland/CMakeLists.txt ===
file(MAKE_DIRECTORY ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland)

configure_file(wpe-platform-wayland.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-wayland-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}-uninstalled.pc @ONLY)

set(WPEPlatformWayland_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEClipboardWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEDisplayWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEInputMethodContextWaylandV1.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEInputMethodContextWaylandV3.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEScreenWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEToplevelWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEViewWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandCursor.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandCursorTheme.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandSHMPool.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandSeat.cpp
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/pointer-constraints-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/relative-pointer-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
)

if (USE_SYSPROF_CAPTURE)
    list(APPEND WPEPlatformWayland_SOURCES
        ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/presentation-time-protocol.c
    )
endif ()

set(WPEPlatformWayland_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/wpe-wayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEClipboardWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEDisplayWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEScreenWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEToplevelWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEViewWayland.h
)

set(WPEPlatformWayland_PRIVATE_INCLUDE_DIRECTORIES
    "${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES}"
    "${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland"
    "${WEBKIT_DIR}/WPEPlatform/wpe/wayland"
)

set(WPEPlatformWayland_SYSTEM_INCLUDE_DIRECTORIES
    ${GIO_UNIX_INCLUDE_DIRS}
    ${WAYLAND_INCLUDE_DIRS}
    ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES}
)

set(WPEPlatformWayland_LIBRARIES
    ${GIO_UNIX_LIBRARIES}
    ${WAYLAND_LIBRARIES}
    ${WPEPlatform_LIBRARIES}
)

check_function_exists(shm_open SHM_OPEN_EXISTS)
if (NOT SHM_OPEN_EXISTS)
    check_function_exists(shm_open SHM_OPEN_REQUIRES_LIBRT)
    if (SHM_OPEN_REQUIRES_LIBRT)
        list(APPEND WPEPlatformWayland_LIBRARIES rt)
    endif ()
endif ()

set(WPEPlatformWayland_SOURCES_FOR_INTROSPECTION
    ${WPEPlatformWayland_INSTALLED_HEADERS}
    ${WPEPlatformWayland_SOURCES}
)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/pointer-constraints-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/pointer-constraints/pointer-constraints-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/pointer-constraints-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/pointer-constraints/pointer-constraints-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/pointer-constraints-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/pointer-constraints-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/pointer-constraints/pointer-constraints-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/pointer-constraints/pointer-constraints-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/pointer-constraints-unstable-v1-client-protocol.h
    VERBATIM)

if (USE_SYSPROF_CAPTURE)
    add_custom_command(
        OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/presentation-time-protocol.c
        MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/presentation-time/presentation-time.xml
        DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/presentation-time-client-protocol.h
        COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/stable/presentation-time/presentation-time.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/presentation-time-protocol.c
        VERBATIM)

    add_custom_command(
        OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/presentation-time-client-protocol.h
        MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/presentation-time/presentation-time.xml
        COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/stable/presentation-time/presentation-time.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/presentation-time-client-protocol.h
        VERBATIM)
endif ()

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/relative-pointer-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/relative-pointer/relative-pointer-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/relative-pointer-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/relative-pointer/relative-pointer-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/relative-pointer-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/relative-pointer-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/relative-pointer/relative-pointer-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/relative-pointer/relative-pointer-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/relative-pointer-unstable-v1-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-client-protocol.h
    VERBATIM)

set(WPEPlatformWayland_DEFINITIONS "")
if (EXISTS "${WAYLAND_PROTOCOLS_DATADIR}/unstable/xdg-decoration/xdg-decoration-unstable-v1.xml")
    add_custom_command(
        OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-decoration-unstable-v1-protocol.c
        MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/xdg-decoration/xdg-decoration-unstable-v1.xml
        DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-decoration-unstable-v1-client-protocol.h
        COMMAND ${WAYLAND_SCANNER} private-code
            ${WAYLAND_PROTOCOLS_DATADIR}/unstable/xdg-decoration/xdg-decoration-unstable-v1.xml
            ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-decoration-unstable-v1-protocol.c
        VERBATIM)

    add_custom_command(

=== debian/changelog ===
wpewebkit (2.50.3-1) unstable; urgency=high

  * New upstream release.
  * Drop fix-crash.patch and fix-link-error.patch.
  * debian/control:
    - Stop suggesting devhelp, it's going to be removed from Debian.

 -- Alberto Garcia <berto@igalia.com>  Thu, 04 Dec 2025 15:31:44 +0100

=== debian/control ===
Source: wpewebkit
Section: libs
Priority: optional
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
               xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
               libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
               clang [amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
               gcc-14 [mips64el],
               g++-14 [mips64el],
               cmake (>= 3.16),
               flite1-dev,
               gperf,
               libatk-bridge2.0-dev,
               libatk1.0-dev,
               libavif-dev,
               libcairo2-dev,
               libepoxy-dev,
               libgbm-dev,
               libgcrypt20-dev,
               libgstreamer-plugins-bad1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjxl-dev,
               liblcms2-dev,
               libopenjp2-7-dev,
               libsoup-3.0-dev,
               libsqlite3-dev,
               libsystemd-dev,
               libtasn1-6-dev,
               libwayland-dev,
               libwebp-dev,
               libwoff-dev,
               libwpe-1.0-dev,
               libwpebackend-fdo-1.0-dev,
               libxslt1-dev,
               ninja-build,
               ruby:native,
               unifdef,
               wayland-protocols
Build-Depends-Indep: gi-docgen, gobject-introspection, jdupes
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
Homepage: https://wpewebkit.org/

Package: libwpewebkit-2.0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup-3.0-dev,
         libwpe-1.0-dev,
         ${misc:Depends}
Suggests: libwpewebkit-doc
Description: Web content engine for embedded devices - development files
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 2.0 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the development files.

Package: libwpewebkit-2.0-1
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${bwrap:Depends}
Suggests: libwpebackend-fdo-1.0-1
Description: Web content engine for embedded devices
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 2.0 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the shared libraries.

Package: wpewebkit-webdriver
Architecture: linux-any
Section: web
Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: wpewebkit-driver (<< 2.44.2-2~)
Replaces: wpewebkit-driver (<< 2.44.2-2~)
Description: WPE WebKit WebDriver support
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package provides the WebDriver service implementation.

Package: libwpewebkit-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libwpewebkit-1.0-doc (<< 2.42.5-2~)
Replaces: libwpewebkit-1.0-doc (<< 2.42.5-2~)
Description: Web content engine for embedded devices - documentation
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS = -DPORT=WPE \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DENABLE_WPE_QT_API=OFF \
	   -DUSE_LIBBACKTRACE=OFF \
	   -DENABLE_MINIBROWSER=ON
DH_GENCONTROL_ARGS =

# Skia strongly recommends using clang
# https://skia.org/docs/user/build/#supported-and-preferred-compilers
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 ppc64el riscv64 s390x))
	EXTRA_CMAKE_ARGUMENTS += \
	   -DCMAKE_C_COMPILER=clang \
	   -DCMAKE_CXX_COMPILER=clang++
endif

# GCC 15 fails in mips64el with an internal compiler error.
# (Clang also fails with "failed to perform tail call elimination").
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1116217
ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
	EXTRA_CMAKE_ARGUMENTS += \
	   -DCMAKE_C_COMPILER=gcc-14 \
	   -DCMAKE_CXX_COMPILER=g++-14
endif

# The WebKit build scripts look at the CPU to detect the architecture.
# This is a problem if we e.g. build for i386 on an amd64 machine.
# Forcing a 32-bit build solves this.
ifeq ($(DEB_HOST_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
endif

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)
CXXFLAGS := $(CXXFLAGS:-g=-g1)

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=949621
LDFLAGS += -Wl,--reduce-memory-overheads

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1104703
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	CFLAGS := $(patsubst -mbranch-protection=%,-mbranch-protection=pac-ret,$(CFLAGS))
	CXXFLAGS := $(patsubst -mbranch-protection=%,-mbranch-protection=pac-ret,$(CXXFLAGS))
endif

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1101547
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
	CPPFLAGS += -mlarge-data -mlarge-text
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Disable the bubblewrap sandbox if libseccomp-dev is not available
ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), xdg-dbus-proxy"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_ARGUMENTS)

override_dh_auto_clean: debian/control
	dh_auto_clean
	find Source Tools -type f -name "*.pyc" -exec rm {} \;
	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;

# Create dummy doc directories in case the "nodoc" build option is set.
override_dh_install-indep:
	mkdir -p debian/tmp/usr/share/doc/wpe-webkit-2.0
	touch debian/tmp/usr/share/doc/wpe-webkit-2.0/index.html
	mkdir -p debian/tmp/usr/share/doc/wpe-web-process-extension-2.0
	touch debian/tmp/usr/share/doc/wpe-web-process-extension-2.0/index.html
	mkdir -p debian/tmp/usr/share/doc/wpe-javascriptcore-2.0
	touch debian/tmp/usr/share/doc/wpe-javascriptcore-2.0/index.html
	dh_install -i
	jdupes -rl debian/libwpewebkit-doc/usr

override_dh_shlibdeps:
	dh_shlibdeps -XMiniBrowser

# Release tarballs don't ship the files needed to run tests
override_dh_auto_test:

# dwz breaks the build (#1016936 and #1081000)
override_dh_dwz:

## wpewebkit 2.50.4

=== debian/changelog ===
wpewebkit (2.50.4-1) unstable; urgency=high

  * New upstream release.
  * Use clang-19 on armhf since the build fails with versions 20 and 21
    (WebKit bug #290167).
  * debian/control:
    - Require cmake 3.20.

 -- Alberto Garcia <berto@igalia.com>  Wed, 17 Dec 2025 02:15:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
                xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
                libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
-               clang [amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
+               clang [amd64 arm64 armel i386 ppc64el riscv64 s390x],
+               clang-19 [armhf],
                gcc-14 [mips64el],
                g++-14 [mips64el],
-               cmake (>= 3.16),
+               cmake (>= 3.20),
                flite1-dev,
                gperf,
                libatk-bridge2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,18 @@
 
 # Skia strongly recommends using clang
 # https://skia.org/docs/user/build/#supported-and-preferred-compilers
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 ppc64el riscv64 s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel i386 ppc64el riscv64 s390x))
 	EXTRA_CMAKE_ARGUMENTS += \
 	   -DCMAKE_C_COMPILER=clang \
 	   -DCMAKE_CXX_COMPILER=clang++
+endif
+
+# The armhf build fails with clang 20 and 21
+# https://bugs.webkit.org/show_bug.cgi?id=290167
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
+	EXTRA_CMAKE_ARGUMENTS += \
+	   -DCMAKE_C_COMPILER=clang-19 \
+	   -DCMAKE_CXX_COMPILER=clang++-19
 endif
 
 # GCC 15 fails in mips64el with an internal compiler error.

## wpewebkit 2.50.5

=== Source/WebKit/WPEPlatform/wpe/drm/CMakeLists.txt ===
configure_file(wpe-platform-drm.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-drm-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-drm-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-drm-${WPE_API_VERSION}-uninstalled.pc @ONLY)

set(WPEPlatformDRM_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/RefPtrUdev.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRM.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMCursor.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMCursorTheme.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMSeat.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMSession.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMSessionLogind.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDisplayDRM.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEScreenDRM.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEToplevelDRM.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEViewDRM.cpp
)

set(WPEPlatformDRM_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/wpe-drm.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDisplayDRM.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEScreenDRM.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEToplevelDRM.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEViewDRM.h
)

set(WPEPlatformDRM_PRIVATE_INCLUDE_DIRECTORIES
    "${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES}"
    "${WEBKIT_DIR}/WPEPlatform/wpe/drm"
)

set(WPEPlatformDRM_SYSTEM_INCLUDE_DIRECTORIES
    ${GIO_UNIX_INCLUDE_DIRS}
    ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES}
)

set(WPEPlatformDRM_LIBRARIES
    LibInput::LibInput
    Udev::Udev
    ${GIO_UNIX_LIBRARIES}
)

if (ENABLE_JOURNALD_LOG)
    list(APPEND WPEPlatformDRM_LIBRARIES Journald::Journald)
endif ()

set(WPEPlatformDRM_SOURCES_FOR_INTROSPECTION
    ${WPEPlatformDRM_INSTALLED_HEADERS}
    ${WPEPlatformDRM_SOURCES}
)

add_library(WPEPlatformDRM OBJECT ${WPEPlatformDRM_SOURCES})
target_include_directories(WPEPlatformDRM PRIVATE ${WPEPlatformDRM_PRIVATE_INCLUDE_DIRECTORIES})
target_include_directories(WPEPlatformDRM SYSTEM PRIVATE ${WPEPlatformDRM_SYSTEM_INCLUDE_DIRECTORIES})
target_link_libraries(WPEPlatformDRM ${WPEPlatform_LIBRARIES} ${WPEPlatformDRM_LIBRARIES})
add_dependencies(WPEPlatformDRM WPEPlatformGeneratedEnumTypesHeader)

set_target_properties(WPEPlatformDRM PROPERTIES
    SOURCES_FOR_INTROSPECTION "${WPEPlatformDRM_SOURCES_FOR_INTROSPECTION}"
)

install(FILES "${CMAKE_BINARY_DIR}/wpe-platform-drm-${WPE_API_VERSION}.pc"
        DESTINATION "${LIB_INSTALL_DIR}/pkgconfig"
        COMPONENT "Development"
)

install(FILES ${WPEPlatformDRM_INSTALLED_HEADERS}
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/wpe-webkit-${WPE_API_VERSION}/wpe-platform/wpe/drm"
        COMPONENT "Development"
)

=== Source/WebKit/WPEPlatform/wpe/headless/CMakeLists.txt ===
configure_file(wpe-platform-headless.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-headless-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-headless-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-headless-${WPE_API_VERSION}-uninstalled.pc @ONLY)

set(WPEPlatformHeadless_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEDisplayHeadless.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEToplevelHeadless.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEViewHeadless.cpp
)

set(WPEPlatformHeadless_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/wpe-headless.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEDisplayHeadless.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEToplevelHeadless.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEViewHeadless.h
)

set(WPEPlatformHeadless_PRIVATE_INCLUDE_DIRECTORIES
    "${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES}"
    "${WEBKIT_DIR}/WPEPlatform/wpe/headless"
)

set(WPEPlatformHeadless_SOURCES_FOR_INTROSPECTION
    ${WPEPlatformHeadless_INSTALLED_HEADERS}
    ${WPEPlatformHeadless_SOURCES}
)

add_library(WPEPlatformHeadless OBJECT ${WPEPlatformHeadless_SOURCES})
target_include_directories(WPEPlatformHeadless PRIVATE ${WPEPlatformHeadless_PRIVATE_INCLUDE_DIRECTORIES})
target_include_directories(WPEPlatformHeadless SYSTEM PRIVATE ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES})
target_link_libraries(WPEPlatformHeadless ${WPEPlatform_LIBRARIES})
add_dependencies(WPEPlatformHeadless WPEPlatformGeneratedEnumTypesHeader)

set_target_properties(WPEPlatformHeadless PROPERTIES
    SOURCES_FOR_INTROSPECTION "${WPEPlatformHeadless_SOURCES_FOR_INTROSPECTION}"
)

install(FILES "${CMAKE_BINARY_DIR}/wpe-platform-headless-${WPE_API_VERSION}.pc"
        DESTINATION "${LIB_INSTALL_DIR}/pkgconfig"
        COMPONENT "Development"
)

install(FILES ${WPEPlatformHeadless_INSTALLED_HEADERS}
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/wpe-webkit-${WPE_API_VERSION}/wpe-platform/wpe/headless"
        COMPONENT "Development"
)

=== debian/changelog ===
wpewebkit (2.50.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build depend on libxml2-utils. glib-compile-resources uses xmllint
      (Jeremy Bícha).
    - Remove "Priority: optional" field, this is now redundant (Debian
      policy 4.7.3).
    - Update Standards-Version to 4.7.3.
  * debian/rules:
    - Build with -no-integrated-cpp to further reduce memory usage on some
      32-bit architectures (#1125347).
    - Use gcc on armhf instead of clang-19 (Closes: #1124054).
  * Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 10 Feb 2026 11:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: wpewebkit
 Section: libs
-Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
@@ -8,7 +7,6 @@
                xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
                libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
                clang [amd64 arm64 armel i386 ppc64el riscv64 s390x],
-               clang-19 [armhf],
                gcc-14 [mips64el],
                g++-14 [mips64el],
                cmake (>= 3.20),
@@ -39,13 +37,14 @@
                libwoff-dev,
                libwpe-1.0-dev,
                libwpebackend-fdo-1.0-dev,
+               libxml2-utils,
                libxslt1-dev,
                ninja-build,
                ruby:native,
                unifdef,
                wayland-protocols
 Build-Depends-Indep: gi-docgen, gobject-introspection, jdupes
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
 Homepage: https://wpewebkit.org/

=== debian/rules ===
--- 
+++ 
@@ -20,18 +20,12 @@
 
 # Skia strongly recommends using clang
 # https://skia.org/docs/user/build/#supported-and-preferred-compilers
+# armhf is not listed here because the build fails with clang 20 and 21
+# https://bugs.webkit.org/show_bug.cgi?id=290167
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel i386 ppc64el riscv64 s390x))
 	EXTRA_CMAKE_ARGUMENTS += \
 	   -DCMAKE_C_COMPILER=clang \
 	   -DCMAKE_CXX_COMPILER=clang++
-endif
-
-# The armhf build fails with clang 20 and 21
-# https://bugs.webkit.org/show_bug.cgi?id=290167
-ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
-	EXTRA_CMAKE_ARGUMENTS += \
-	   -DCMAKE_C_COMPILER=clang-19 \
-	   -DCMAKE_CXX_COMPILER=clang++-19
 endif
 
 # GCC 15 fails in mips64el with an internal compiler error.
@@ -54,6 +48,12 @@
 # won't be hit.
 ifeq ($(DEB_BUILD_ARCH_BITS),32)
 	LDFLAGS += -Wl,--no-keep-memory
+endif
+
+# Additional flags to reduce memory usage on some 32-bit
+# architectures (#1125347).
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf hppa m68k powerpc sh4))
+	CPPFLAGS += -no-integrated-cpp
 endif
 
 # The debug packages produced by webkit are huge and cause problems in
